Subject: bug#16108: 24.3; Add optional arg to indent-region

From: Stefan Monnier <[email-masked]>
Date: Thu, 12 Dec 2013 13:34:34 -0500

>> I'm not really opposed, but I'd like to understand in which way it "gets
>> in the way".  Can you give more details?
> I advise yank to indent the pasted text. so when yank into minibuffer
> instead of seeing the yanked text I am seeing the progress messages.

Good point.  We shouldn't emit such messages when we're in the
minibuffer (or we should emit them differently, so as not to hide
the minibuffer text, e.g. like minibuffer-message does).

> So should I go ahead and install it?

Let's first silence (unconditionally) the messages when in
the minibuffer.  We'll see later if messages still need to be silenced,
and in which cases.

        Stefan